Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class ExtendedDataTableState

    java.lang.Object
      org.richfaces.component.ExtendedDataTableState

All Implemented Interfaces:
  Serializable

    public class ExtendedDataTableState

extends Object
implements Serializable

Author:
  Brian Leathem
See Also:
  Serialized Form

Field Summary
`protected org.richfaces.component.ColumnsFilter` | `columnsFilterState`
`protected org.richfaces.component.ColumnsOrder` | `columnsOrderState`
`protected org.richfaces.component.ColumnsSort` | `columnsSortState`
`protected org.richfaces.component.ColumnsWidth` | `columnsWidthState`

Constructor Summary
`ExtendedDataTableState(String tableState)`
`ExtendedDataTableState(UIDataTableBase extendedDataTable)`

Method Summary
`String` | `getColumnFilter(javax.faces.component.UIComponent column)`
`String[]` | `getColumnsOrder()`
`String` | `getColumnSort(javax.faces.component.UIComponent column)`
`String` | `getColumnWidth(javax.faces.component.UIComponent column)`
`JSONObject` | `toJSON()`
`String` | `toString()` Converts its state to String representation in JSON format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### columnsWidthState

    protected org.richfaces.component.ColumnsWidth columnsWidthState

### columnsOrderState

    protected org.richfaces.component.ColumnsOrder columnsOrderState

### columnsFilterState

    protected org.richfaces.component.ColumnsFilter columnsFilterState

### columnsSortState

    protected org.richfaces.component.ColumnsSort columnsSortState

Constructor Detail

### ExtendedDataTableState

    public ExtendedDataTableState(UIDataTableBase extendedDataTable)

### ExtendedDataTableState

    public ExtendedDataTableState(String tableState)

Method Detail

### toJSON

    public JSONObject toJSON()

### toString

    public String toString()

  Converts its state to String representation in JSON format.

  Overrides:
    `toString` in class `Object`

### getColumnWidth

    public String getColumnWidth(javax.faces.component.UIComponent column)

### getColumnFilter

    public String getColumnFilter(javax.faces.component.UIComponent column)

### getColumnSort

    public String getColumnSort(javax.faces.component.UIComponent column)

### getColumnsOrder

    public String[] getColumnsOrder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.